# $Id: perl-XML-LibXSLT.spec 4787 2006-10-02 14:23:08Z dries $

# Authority: dries
# Upstream: Matt Sergeant <matt$sergeant,org>

%define real_name XML-LibXSLT
%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

Summary: Interface to the gnome libxslt library
Name: perl-XML-LibXSLT
Version: 1.61
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/XML-LibXSLT/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/XML/XML-LibXSLT-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl, perl-XML-LibXML, libxslt-devel

%description
This module is a fast XSLT library, based on the Gnome libxslt engine
that you can find at http://www.xmlsoft.org/XSLT/

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX=%{buildroot}%{_prefix}
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod \
	%{buildroot}%{perl_vendorarch}/auto/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorarch}/XML/LibXSLT.pm
%{perl_vendorarch}/XML/benchmark.pl
%{perl_vendorarch}/auto/XML/LibXSLT/LibXSLT.*

%changelog
* Tue Sep 26 2006 Dries Verachtert <dries@ulyssis.org> - 1.61-1 - 4787/dries
- Updated to release 1.61.

* Mon Sep 18 2006 Dries Verachtert <dries@ulyssis.org> - 1.60-1
- Updated to release 1.60.

* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 1.58-1.2
- Rebuild for Fedora Core 5.

* Sat Nov  5 2005 Dries Verachtert <dries@ulyssis.org> - 1.58-1
- Updated to release 1.58.

* Sun Mar  6 2005 Dries Verachtert <dries@ulyssis.org> - 1.57-1
- Initial package.
